#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"
#include "xmms2.h"

GtkWidget *mainwindow;
GtkWidget *infowindow;
GtkWidget *volumewindow;
GtkWidget *morewindow;

int main (int argc, char *argv[]) {

#ifdef ENABLE_NLS
  bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
  bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
  textdomain (GETTEXT_PACKAGE);
#endif

  gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
                      argc, argv,
                      GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR,
                      NULL);

  //init_xmms_session(); 

  mainwindow = create_gx2ctl ();
  infowindow = create_gx2info ();
  volumewindow = create_gx2volume ();
  morewindow = create_gx2more ();

  setup_treeview();
  update_gui(); 
  gtk_widget_show (mainwindow);

  gtk_main ();
  return 0;
}

/* vi:set ts=8 sts=2 sw=2: */
