/* 
   mp3b - xmms2

   Copyright (C) 2007 Robin Gareus <robin@gareus.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 
   as published by the Free Software Foundation;

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

enum {XCMD_PLAY, XCMD_PAUSE, XCMD_STOP, XCMD_PREV, XCMD_CURR, XCMD_NEXT, XCMD_FIRST, XCMD_LAST, XCMD_FFWD, XCMD_FRWD, XCMD_CLEAR };

#define XMMS2CERR(RSLT) \
  if (xmmsc_result_iserror(RSLT)) { \
    fprintf(stderr, "xmms2 error: %s\n", xmmsc_result_get_error(RSLT)); \
  }

#define XMMS2BROKEN(MSG) \
    fprintf (stderr,"xmms2: broken resultset" MSG "\n"); \
    exit(1);

#include <xmmsclient/xmmsclient.h>
#include <xmmsclient/xmmsclient-glib.h>

typedef struct {
  guint playlist_pos;
  guint playlist_length;
  guint total_playtime;
  guint process_tottime;
  //guint *pls2d;
} plsnfo;

int init_xmms_session(void);
void close_xmms_session(void);
void xmms2_cmd (int cmd);
void add_to_playlist (char *fn, gint pos);
int xmms_is_connected (void);
void xmms_reposition (float n);
void xmms_pljump (guint n, gboolean start_play);
void xmms_plrm (guint n);
void xmms_plmv (guint from, guint to);
void set_port_volume(char *port, guint vol);
